<?php
//=================================================================
// KOOBI R7 - CMS - PORTALSOFTWARE(c) DREAM4(r) 
// HTTP://WWW.DREAM4.DE
//=================================================================
// ACHTUNG!
// DIESER PROGRAMMCODE IST URHERRECHTLICH GESCHUETZT
// DIE URHEBERRECHTE LIEGEN BEI DEN JEWEILIGEN AUTOREN.
// AENDERUNGEN IN DIESER DATEI ERFOLGEN AUF EIGENE GEFAHR!
// ES IST NICHT GESTATTET, DEN COPYRIGHTHINWEIS ZU AENDERN ODER ZU
// ENTFERNEN. NUR WENN SIE EINE COPYRIGHTHINWEIS-ENTFERNUNG BESTELLT
// HABEN, DUERFEN SIE DIESEN ENTFERNEN.
//================================================================
// BEI FRAGEN WENDEN SIE SICH BITTE AN: KONTAKT@DREAM4.DE
//=================================================================
if(!defined('BASE_DIR')) exit;

//=================================================================
// AJAX-Abfrage (Sicherheitscode)
//=================================================================
if(isset($_REQUEST['secure_check']) && $_REQUEST['secure_check']==1)
{
	define('AJAX_OUTPUT',1);
	$scode  = (isset($_REQUEST['scode']) && !empty($_REQUEST['scode'])) ? $_REQUEST['scode'] : '';
	if($scode!='') 
	{
		if($scode!=$_SESSION['contact_secure_result'])
			$valid = 'false';
		else
			$valid = 'true';
	}
	echo @$valid;
}

//=================================================================
//=================================================================
if(!defined('BASE_DIR') || !@$_SERVER['HTTP_REFERER'] || !isset($_POST['id'])) exit;

//=================================================================
// Nur wietermachen, wenn Form auch von Seite abgeschickt wurde...
//=================================================================
if(strpos($_SERVER['HTTP_REFERER'], HOME_PATH)!==false)
{
	$id = abs((int)$_POST['id']);
	$use_code = false;
	$send = true;
		
	if($GLOBALS['settings']['Sicherheitscode']==1) 
	{
		$use_code = true;
		$scode_form = (isset($_POST['scode']) && !empty($_POST['scode'])) ? $_POST['scode'] : '';
		$scode_ses = @$_SESSION['contact_secure_result'];
		
		if(($use_code && @empty($_POST['scode'])) || (!$_SESSION['contact_secure_result'] && $use_code) || ($scode_form != $scode_ses && ($use_code)))
		{
			$send = false;
		}
	}
		
	if($send)
	{
		@reset($_POST);
		$newtext = '';
		
		$res = $GLOBALS['db']->RowQuery("SELECT * FROM " . PREFIX . "_kontakt_form WHERE Id='" . abs((int)$id) . "'");
		if(is_object($res))
		{
			while (list($key, $val) = each($_POST))
			{
				if ($key != "__hname" && $key != "__hmail" && $key != "submit" && $key != "id" && $key != "scode" && $key != "files" && !empty($val)) 
				{
					if(is_array($val))
					{
						$val = implode(', ',$val);
					}
					
					$newtext .= $key;
					$newtext .= ":\r\n";
					$newtext .= substr($val,0,10000);
					$newtext .= "\r\n-------------------------\r\n";
				}
			}
			$Koobi = new Koobi;
			$ti = str_replace('__REF__', $_SERVER['HTTP_REFERER'], $GLOBALS['config_vars']['Contact_textInf']);
			$ti = str_replace('__IP__', $_SERVER['REMOTE_ADDR'], $ti);
			$text_info = "\r\n" . $ti . "\r\n";
			
			
			$disallowed = array('.cgi');
			// Anlagenpfad
			$path = BASE_DIR . "/attachments/";
			
			// Anlagen
			if(@$_FILES['files']['tmp_name'])
			{
				for($i=0;$i<count($_FILES['files']['tmp_name']);$i++)
				{	
					$f_check = trim(strtolower($_FILES['files']['name'][$i]));
					$forbidden_1 = strtolower(substr($f_check, strlen($f_check) - 4));
					$forbidden_2 = strtolower(substr($f_check, strlen($f_check) - 5));
					
					if( (isset($_FILES['files']['tmp_name'][$i])) && (filesize($_FILES['files']['tmp_name'][$i]) < 102400) && (filesize($_FILES['files']['tmp_name'][$i]) > 10) && ($forbidden_1 != 'jpeg' && $forbidden_2 != 'pjpeg'))
					{
						$endung = substr($_FILES['files']['name'][$i], -4);
						
						if(in_array($endung, $disallowed)) $_FILES['files']['name'][$i] = time() . mt_rand(1234567890, 9999999999) . "__" . $_FILES['files']['name'][$i];
						
						if(file_exists($path . $_FILES['files']['name'][$i]))
						{
							$_FILES['files']['name'][$i] = time().mt_rand(0, 1000000000) . $_FILES['files']['name'][$i]; 
						}
								
						@move_uploaded_file($_FILES['files']['tmp_name'][$i], $path . $_FILES['files']['name'][$i]);
						$attach[] = $_FILES['files']['name'][$i];
					}
				}
			}
		
			if($newtext) $Koobi->koobi_mail($res->Email, utf8_decode(stripslashes($newtext)) . $text_info, $GLOBALS['config_vars']['Contact_subject'] . ' (' . $res->Titel1  . ')', $_POST['__hmail'], utf8_decode($_POST['__hname']), 'text', @$attach, '');
		}
	}
	ContactCaptcha();
	echo  $_SESSION['contact_secure_question'];
}
exit;
?>